Subject: bug#63383: closed (Re: bug#63383: [PATCH 0/4] Various PAM improvements)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 15 Aug 2023 20:20:02 +0000

Your bug report

#63383: [PATCH 0/4] Various PAM improvements

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63383: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63383
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63383: [PATCH 0/4] Various PAM improvements
From: Ludovic Courtès <[email-masked]>
To: Felix Lechner <[email-masked]>
Cc: [email-masked], Maxim Cournoyer <[email-masked]>
Date: Tue, 15 Aug 2023 22:19:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Sorry for the long delay!

Felix Lechner <[email-masked]> skribis:

> There is another bug that was probably a reason why some folks
> hesitated to accept this patch:
>
>   https://issues.guix.gnu.org/32182
>
> In that bug, Ludo' proposed to refer from Shepherd services to PAM
> services by absolute paths. I believe it is a viable and worthy
> solution.
>
> (By contrast, this bug makes PAM services refer to PAM modules by
> absolute paths.)

Right.  For this reason, I’m dropping the patch that adds more absolute
file names for all modules shipped with ‘linux-pam’ but keeping the rest.

> Another solution could be to make all PAM modules and services Guile
> scripts. While admittedly a more comprehensive effort, I believe such
> an upgrade might be popular in the broader community, which is
> generally tired of PAM. The only prerequisite to execute those scripts
> would be a working copy of GNU Guile (i.e. no libpam or libc).

Hmm are you suggesting a PAM rewrite in Guile?

Thanks,
Ludo’.

Subject: [PATCH 0/4] Various PAM improvements
From: Felix Lechner <[email-masked]>
To: [email-masked]
Cc: Felix Lechner <[email-masked]>
Date: Mon, 8 May 2023 17:56:31 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

This commit series makes several improvements to the way Linux-PAM is used in
Guix. Most notably, it employs absolute paths into the store where
possible. The series also improves significantly on the system test for
pam_limits.

These commits have been tested and already being deployed in production.

Additional details are in the commit messages.

Felix Lechner (4):
  In PAM test, confirm ulimits actually imposed instead of comparing
    config files.
  Drop limits.conf from /etc/security; use directly in
    pam-limits-service-type.
  Refer to the built-in Linux-PAM modules by their absolute paths.
  Use more file-append.

 gnu/services/authentication.scm |  2 +-
 gnu/services/base.scm           | 65 +++++++++++++++---------------
 gnu/services/kerberos.scm       |  2 +-
 gnu/services/lightdm.scm        | 60 ++++++++++++++++++++--------
 gnu/services/pam-mount.scm      |  2 +-
 gnu/services/sddm.scm           | 33 ++++++++--------
 gnu/services/xorg.scm           |  5 ++-
 gnu/system/pam.scm              | 20 +++++-----
 gnu/tests/pam.scm               | 70 ++++++++++++++++++---------------
 9 files changed, 146 insertions(+), 113 deletions(-)

base-commit: d1aba42ad4e1909faa21d484975c5954c778e002
-- 
2.39.2